Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	PC/SC Architecture smartcard middleware library
Name:		pcsc-lite
Version:	1.6.1
Release:	1
License:	GPL
URL:		http://www.linuxnet.com/middle.html
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
BuildRequires:	sed flex

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libusb-devel
BuildRequires: pkg-config

%description
PC/SC Architecture smartcard middleware library

%package doc
Summary: %{name} documents.
Group: %{group}
Requires: %{name} = %{version}

%description doc
%{name} documents.

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--sysconfdir=%_sysconfdir \
		--localstatedir=%_localstatedir \
		--enable-usbdropdir=/usr/lib/readers/usb \
		--disable-libhal \
		--enable-libusb 
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p %{buildroot}/var/lock/subsys
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_libdir}/libpcsclite.so.*
%{_sbindir}/pcscd
%{_mandir}/man5/reader.conf.5.gz
%{_mandir}/man8/pcscd.8.gz

%files devel
%defattr(-,root,root)
%{_includedir}/PCSC
%{_libdir}/libpcsclite.la
%{_libdir}/libpcsclite.so
%{_pkgconfig}/libpcsclite.pc

%files doc 
%defattr(-,root,root)
%{_docdir}/pcsc-lite/ifdhandler-3.tex
%{_docdir}/pcsc-lite/README.DAEMON

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun 29 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.6.1-1
- Version update
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.2-1
- Version update
* Mon Sep 04 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-2
- fixed fileslist
* Sun Jun 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.3.1-1
- Version Update
* Fri Jul 22 2005 Stefan Gottwald <gotti@ccux-linux.de> 1.2.9beta7-1
- Initial Release
